## com.vividsolutions.jts.geomgraph.index
Class MonotoneChain

    java.lang.Object
      com.vividsolutions.jts.geomgraph.index.MonotoneChain

public class MonotoneChain
extends java.lang.Object

Version:
  1.7

Constructor Summary
`MonotoneChain(MonotoneChainEdge mce, int chainIndex)`

Method Summary
`void` `computeIntersections(MonotoneChain mc, SegmentIntersector si)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonotoneChain

    public MonotoneChain(MonotoneChainEdge mce,
                         int chainIndex)

Method Detail

### computeIntersections

    public void computeIntersections(MonotoneChain mc,
                                     SegmentIntersector si)